Results 1 to 7 of 7
  1. #1
    Join Date
    Dec 2005
    Posts
    395

    IE6 not happy with Javascript code

    Hi there,

    I have this code on a website:

    Code:
    <script language="JavaScript1.1">
    <!--
    var whichlink=0
    var whichimage=0
    var pixeldelay=(ie55)? document.images.slide.filters[0].duration*1000 : 0
    function slideit(){
    if (!document.images) return
    if (ie55) document.images.slide.filters[0].apply()
    document.images.slide.src=imageholder[whichimage].src
    if (ie55) document.images.slide.filters[0].play()
    whichlink=whichimage
    whichimage=(whichimage<slideimages.length-1)? whichimage+1 : 0
    setTimeout("slideit()",slidespeed+pixeldelay)
    }
    slideit()
    
    //-->
    </script>
    This code is used to rotate 3 ads. It works fine in FF and IE7, but in IE6 the banner does not rotate (actually the initial image does not even appear), and I get the error "class does not support automation" which points to the line "document.images.slide.src=imageholder[whichimage].src". Does anyone know a workaround for IE6? Thanks.

  2. #2
    Join Date
    Dec 2005
    Posts
    395
    resolved. please lock

  3. #3
    Join Date
    Mar 2004
    Posts
    1,301
    Pleas provide solution. It might be useful to someone.

  4. #4
    Join Date
    Sep 2002
    Location
    Top Secret
    Posts
    11,687
    IE6 isn't happy with ANYTHING. Update software man.
    Of course, as suggested, you might want to help others out and provide how it was resolved!
    WHMCS Guru - WHMCS addons, management, support and more.
    WHMCS Notifications Extended - Add slack, hipchat, SMS, pushover to WHMCS !!
    Always looking for Linux, WHMCS, Support Desk work. PM for details

  5. #5
    Join Date
    Aug 2007
    Location
    West Chester, OH USA
    Posts
    92
    Quote Originally Posted by linux-tech View Post
    IE6 isn't happy with ANYTHING. Update software man.
    If only it were that easy! Even the tech-saavy crowd at WHT has a small percentage of people that still use IE 6.

    It would be wonderful if we could just mandate that people upgrade their browsers, but as programmers we have to accommodate all of our users, not just the ones we like the most.

    PS:
    Do the world a favor, if you use IE 6, upgrade! You will help save countless developer hours
    Tu ne cede malis, sed contra audentior ito.

  6. #6
    Join Date
    Sep 2002
    Location
    Top Secret
    Posts
    11,687
    Well, it's pretty simple if you look at it:
    If the user wants to use an outdated browser, they should expect problems. It is just not possible to support every outdated browser out there, by every developer.

    IE6 is outdated, it's old, it's ancient, just like IE5, etc. If people are still using that and report problems, is that the developer's fault? No, that's their own, for using faulty, outdated software.

    There's only so much a developer really can do.
    WHMCS Guru - WHMCS addons, management, support and more.
    WHMCS Notifications Extended - Add slack, hipchat, SMS, pushover to WHMCS !!
    Always looking for Linux, WHMCS, Support Desk work. PM for details

  7. #7
    Join Date
    Mar 2004
    Posts
    1,301
    Quote Originally Posted by linux-tech View Post
    IE6 is outdated, it's old, it's ancient, just like IE5, etc. If people are still using that and report problems, is that the developer's fault? No, that's their own, for using faulty, outdated software.
    Keep in mind that if one creates a website for for his own use then he should ignore the rest of the world where IE6 is not ancient.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •